# Uses of Interface
org.eclipse.ui.model.IWorkbenchAdapter3

Packages that use IWorkbenchAdapter3
Package
Description
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of IWorkbenchAdapter3 in org.eclipse.ui.model

Classes in org.eclipse.ui.model that implement IWorkbenchAdapter3
Modifier and Type
Class
Description
`class`
`AdaptableList`
A modifiable list of `IAdaptable` objects.
`class`
`WorkbenchAdapter`
Abstract base class with basic implementations of the IWorkbenchAdapter interface.
Methods in org.eclipse.ui.model that return IWorkbenchAdapter3
Modifier and Type
Method
Description
`protected final IWorkbenchAdapter3`
WorkbenchLabelProvider.`getAdapter3(Object o)`
Returns the implementation of IWorkbenchAdapter3 for the given object.